Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisDecoder_ Struct Reference

Defines the ZydisDecoder struct. More...

`#include <Decoder.h>`

## Data Fields
ZydisMachineMode | machine_mode
| The machine mode.
ZydisStackWidth | stack_width
| The stack width.
ZyanU32 | decoder_mode
| The decoder mode bitmap.

## Detailed Description

Defines the ZydisDecoder struct.

All fields in this struct should be considered as "private". Any changes may lead to unexpected behavior.

## Field Documentation

## ◆ decoder_mode

ZyanU32 decoder_mode

The decoder mode bitmap.

## ◆ machine_mode

ZydisMachineMode machine_mode

The machine mode.

## ◆ stack_width

ZydisStackWidth stack_width

The stack width.

The documentation for this struct was generated from the following file:

- include/Zydis/Decoder.h